Open SCAP Library: ds_stream_index Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
ds_stream_index Struct Reference
DS

Contains information about one particular "<data-stream>" element in the datastream collection (also called SDS = source datastream). More...

`#include <scap_ds.h>`

## Public Member Functions
struct ds_stream_index * | ds_stream_index_new (void)
void | ds_stream_index_free (struct ds_stream_index *s)
const char * | ds_stream_index_get_id (struct ds_stream_index *s)
| Gets ID of the <data-stream> element the index represents.
const char * | ds_stream_index_get_timestamp (struct ds_stream_index *s)
| Timestamp of creation OR modification of the <data-stream> element the index represents.
const char * | ds_stream_index_get_version (struct ds_stream_index *s)
| scap-version of the the <data-stream> element the index represents.
struct oscap_string_iterator * | ds_stream_index_get_checks (struct ds_stream_index *s)
| Retrieves iterator over all components inside the <checks> element.
struct oscap_string_iterator * | ds_stream_index_get_checklists (struct ds_stream_index *s)
| Retrieves iterator over all components inside the <checklists> element.
struct oscap_string_iterator * | ds_stream_index_get_dictionaries (struct ds_stream_index *s)
| Retrieves iterator over all components inside the <dictionaries> element.
struct oscap_string_iterator * | ds_stream_index_get_extended_components (struct ds_stream_index *s)
| Retrieves iterator over all components inside the <extended-components> element.

## Data Fields
char * | id
char * | timestamp
char * | version
struct oscap_stringlist * | check_components
struct oscap_stringlist * | checklist_components
struct oscap_stringlist * | dictionary_components
struct oscap_stringlist * | extended_components
struct oscap_htable * | component_id_to_component_ref_id

## Detailed Description

Contains information about one particular "<data-stream>" element in the datastream collection (also called SDS = source datastream).

Is contained inside ds_sds_index which indexes the entire datastream collection.

Only contains IDs, does not contain the data of components themselves! See ds_sds_decompose for that.

Inside it are components divided into categories called "containers". These are "checks", "checklists", "dictionaries" and "extended-components". See the specification for more details about their meaning.

See Also
  ds_sds_index

The documentation for this struct was generated from the following files:

- sds_index.c
- scap_ds.h